Package org.jfree.layouting.modules.output.html

## Interface HtmlOutputProcessor

- All Superinterfaces:
    `OutputProcessor`
  All Known Implementing Classes:
    `FlowHtmlOutputProcessor`, `PageableHtmlOutputProcessor`, `StreamingHtmlOutputProcessor`

      public interface HtmlOutputProcessor
      extends OutputProcessor

  Creation-Date: 02.12.2006, 15:15:25
  Author:
    Thomas Morgner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `HtmlPrinter` | `getPrinter​()` |
    `void` | `setPrinter​(HtmlPrinter printer)` |

    - ### Methods inherited from interface org.jfree.layouting.output.OutputProcessor

      `createInputFeed, createModelBuilder, createNormalizer, createRenderer, getConfiguration, getLogicalPage, getLogicalPageCount, getMetaData, getPageCursor, isContentGeneratable, isGlobalStateComputed, isPaginationFinished, processContent, processDocumentMetaData, processingFinished, setPageCursor`

- - ### Method Detail

    - #### getPrinter

          HtmlPrinter getPrinter​()

    - #### setPrinter

          void setPrinter​(HtmlPrinter printer)